Subject: Re: bug#28523: 25.3; Unable to run 64-bit GNU Emacs 25.3 on Windows 7

From: Noam Postavsky <[email-masked]>
Date: Fri, 27 Oct 2017 09:13:33 -0400

tags 28523 fixed
close 28523 25.3.1
quit

This is fixed now with the 25.3.1 release, see
https://ftp.gnu.org/gnu/emacs/windows/emacs-25.3_1.readme.

Chris Zheng <[email-masked]> writes:

> Hi,
>
>> Now I have to use the 3rd-party build from
>
>> https://github.com/zklhp/emacs-w64/releases/download/e0284ab/emacs-w64-25.3-O2-with-modules.7z,
>
>> which is much smaller than the official one. I am so confusing :(
>
> I build it with optimization, as the name “O2” suggested. And I use
> a higher compression level. There is nothing wrong with the size.

Indeed, a "solid archive" format like .7z will always be much smaller
for collections of many files than a format using per-file compression
like .zip.  And also it uses a more effective algorithm by default.  You
should rather compare sizes after decompressing.

By the way, the official builds should also be built with O2.